Bug 976245 - oo-admin-move shown an extra echo in the output
oo-admin-move shown an extra echo in the output
Status: CLOSED CANTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 04:13 EDT by Liang Xia
Modified: 2015-05-14 20:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 22:23:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-06-20 04:13:27 EDT
Description of problem:
oo-admin-move shown an extra echo in the output

Version-Release number of selected component (if applicable):
devenv_3389
rhc 1.10.3

How reproducible:
always

Steps to Reproduce:
1.create an app
2.move app to another node with district.
3.

Actual results:
Extra echo shown in the output:
==Begin==
Agent pid 20519
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 20519 killed;
==End==

Expected results:
Output like this:
==Begin==
Agent pid 20519
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
Agent pid 20519 killed;
==End==

Additional info:
# oo-admin-move --gear_uuid d5b1e1bcd97611e2a16012313d2f68a8
URL: http://phps-lxia.dev.rhcloud.com
Login: lxia@redhat.com
App UUID: 51c2a81e389cc4f87e000054
Gear UUID: 51c2a81e389cc4f87e000054
DEBUG: Destination container: ip-10-114-245-35
DEBUG: Source district uuid: 343695461413540014850048
DEBUG: Destination district uuid: 343695461413540014850048
DEBUG: Getting existing app 'phps' status before moving
DEBUG: Gear component 'php-5.3' was running
DEBUG: Stopping existing app cartridge 'php-5.3' before moving
DEBUG: Force stopping existing app cartridge 'php-5.3' before moving
DEBUG: Stopping existing app cartridge 'haproxy-1.4' before moving
DEBUG: Creating new account for gear 'phps' on ip-10-114-245-35
DEBUG: Moving content for app 'phps', gear 'phps' to ip-10-114-245-35
Identity added: /var/www/openshift/broker/config/keys/rsync_id_rsa (/var/www/openshift/broker/config/keys/rsync_id_rsa)
Warning: Permanently added '10.60.87.86' (RSA) to the list of known hosts.
Warning: Permanently added '10.114.245.35' (RSA) to the list of known hosts.
Agent pid 20519
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 20519 killed;
DEBUG: Moving system components for app 'phps', gear 'phps' to ip-10-114-245-35
Identity added: /var/www/openshift/broker/config/keys/rsync_id_rsa (/var/www/openshift/broker/config/keys/rsync_id_rsa)
Agent pid 20580
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 20580 killed;
DEBUG: Starting cartridge 'php-5.3' in 'phps' after move on ip-10-114-245-35
DEBUG: Starting cartridge 'haproxy-1.4' in 'phps' after move on ip-10-114-245-35
DEBUG: Fixing DNS and mongo for gear 'phps' after move
DEBUG: Changing server identity of 'phps' from 'ip-10-60-87-86' to 'ip-10-114-245-35'
DEBUG: Deconfiguring old app 'phps' on ip-10-60-87-86 after move
Successfully moved gear with uuid 'd5b1e1bcd97611e2a16012313d2f68a8' of app 'phps' from 'ip-10-60-87-86' to 'ip-10-114-245-35'
Comment 1 Abhishek Gupta 2013-07-23 18:15:25 EDT
The output of the command below (to kill the ssh-agent) has the extra "echo" in it and not something that our code adds or manages. 

ssh-agent -k 

Suggest closing this as WONTFIX.
Comment 2 Abhishek Gupta 2013-07-23 18:25:56 EDT
Actually, more like CANTFIX.
Comment 3 Liang Xia 2013-07-23 22:23:39 EDT
CLOSE as can't fix based on comment #1, #2.

Note You need to log in before you can comment on or make changes to this bug.